Bug 1225448 - Unable to add package type to content source
Summary: Unable to add package type to content source
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Content
Version: JON 3.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Libor Zoubek
QA Contact: Matt Mahoney
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-27 12:01 UTC by Libor Zoubek
Modified: 2015-11-02 00:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:43:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC

Description Libor Zoubek 2015-05-27 12:01:37 UTC
Description of problem:

When I try to add new Package Type to content source, UI renders some CSS file as plaintext. An exception is fired

10:00:28,447 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/portal].[Faces Servlet]] (http-/0.0.0.0:7080-2) JBWEB000236: Servlet.service() for servlet Faces Servlet threw exception: javax.faces.application.ViewExpiredException: viewId:/rhq/content/createContentProvider-add-map-plain.xhtml - View /rhq/content/createContentProvider-add-map-plain.xhtml could not be restored.
        at com.sun.faces.lifecycle.RestoreViewPhase.execute(Unknown Source) [jsf-impl-1.2_15-b01-redhat-8.jar:1.2_15-b01-redhat-8]
        at com.sun.faces.lifecycle.Phase.doPhase(Unknown Source) [jsf-impl-1.2_15-b01-redhat-8.jar:1.2_15-b01-redhat-8]
        at com.sun.faces.lifecycle.RestoreViewPhase.doPhase(Unknown Source) [jsf-impl-1.2_15-b01-redhat-8.jar:1.2_15-b01-redhat-8]
        at com.sun.faces.lifecycle.LifecycleImpl.execute(Unknown Source) [jsf-impl-1.2_15-b01-redhat-8.jar:1.2_15-b01-redhat-8]
        at javax.faces.webapp.FacesServlet.service(Unknown Source) [jsf-api-1.2_15-b01-redhat-8.jar:1.2_15-b01-redhat-8]

Version-Release number of selected component (if applicable):


How reproducible: always 


Steps to Reproduce:
1. create content source, save it
2. open content source, click "Edit"
3. in edit mode, see "Package Types" and click "Add"
4. fill all required fields (values are not relevant for this issue)
5. hit OK

Actual results:

UI renders some CSS crap instead of returning back to content source, the package type is added, but values are empty.

Expected results: new PackageType is added, no exception


Additional info:

Comment 1 Libor Zoubek 2015-05-27 12:06:55 UTC
This can safely go to 3.3.3, fix was easy (to write).

branch:  master
link:    https://github.com/rhq-project/rhq/commit/a68f88fb5
time:    2015-05-27 14:03:55 +0200
commit:  a68f88fb586afb193c4391b6d92656a2037ea8ce
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1225448 - Unable to add package type to content source

         Fix form action URI typo

Comment 3 Michael Burman 2015-06-16 10:07:22 UTC
Cherry-picked to release/jon3.3.x:

commit 4d7c92dee215325170154ebcbd04fbee4b3d6ab0
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed May 27 14:03:55 2015 +0200

    Bug 1225448 - Unable to add package type to content source
    
    Fix form action URI typo
    
    (cherry picked from commit a68f88fb586afb193c4391b6d92656a2037ea8ce)

Comment 4 Simeon Pinder 2015-07-10 18:55:19 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 7 errata-xmlrpc 2015-07-30 16:43:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.